## org.apache.mahout.df.mapreduce.inmem
Class InMemInputFormat.InMemInputSplit

    java.lang.Object
      org.apache.hadoop.mapreduce.InputSplit
          org.apache.mahout.df.mapreduce.inmem.InMemInputFormat.InMemInputSplit

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

Enclosing class:
  InMemInputFormat

    public static class InMemInputFormat.InMemInputSplit

extends org.apache.hadoop.mapreduce.InputSplit
implements org.apache.hadoop.io.Writable

Custom InputSplit that indicates how many trees are built by each mapper

Constructor Summary
`InMemInputFormat.InMemInputSplit()`
`InMemInputFormat.InMemInputSplit(int firstId, int nbTrees, java.lang.Long seed)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`int` `getFirstId()`
`long` `getLength()`
`java.lang.String[]` `getLocations()`
`int` `getNbTrees()`
`java.lang.Long` `getSeed()`
`int` `hashCode()`
`static InMemInputFormat.InMemInputSplit` `read(java.io.DataInput in)`
`void` `readFields(java.io.DataInput in)`
`java.lang.String` `toString()`
`void` `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InMemInputFormat.InMemInputSplit

    public InMemInputFormat.InMemInputSplit()

### InMemInputFormat.InMemInputSplit

    public InMemInputFormat.InMemInputSplit(int firstId,
                                            int nbTrees,
                                            java.lang.Long seed)

Method Detail

### getFirstId

    public int getFirstId()

  Returns:
    the Id of the first tree of this split

### getNbTrees

    public int getNbTrees()

  Returns:
    the number of trees

### getSeed

    public java.lang.Long getSeed()

  Returns:
    the random seed or null if no seed is available

### getLength

    public long getLength()
                   throws java.io.IOException

  Specified by:
    `getLength` in class `org.apache.hadoop.mapreduce.InputSplit`
  Throws:
    `java.io.IOException`

### getLocations

    public java.lang.String[] getLocations()
                                    throws java.io.IOException

  Specified by:
    `getLocations` in class `org.apache.hadoop.mapreduce.InputSplit`
  Throws:
    `java.io.IOException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### read

    public static InMemInputFormat.InMemInputSplit read(java.io.DataInput in)
                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.